require("../../../_virtual/_rolldown/runtime.js");
const require_useBookingPerspective = require("./useBookingPerspective.js");
const require_useOrderPerspective = require("./useOrderPerspective.js");
let react = require("react");
//#region src/plus/pisellSalesManagement/hooks/usePerspectives.tsx
const usePerspectives = (params) => {
	const orderPerspective = require_useOrderPerspective.useOrderPerspective();
	const bookingPerspective = require_useBookingPerspective.useBookingPerspective(params);
	return (0, react.useMemo)(() => {
		return [orderPerspective, bookingPerspective];
	}, [orderPerspective, bookingPerspective]);
};
//#endregion
exports.default = usePerspectives;
